<?

if(isset($_POST["classe"]) || isset($_POST["nom"]) || !empty($_FILES["selection"]["name"]) || isset($_POST["folder"])){
	if($_POST["classe"] != "" || isset($_POST["nom"]) || !empty($_FILES["selection"]["name"]) || isset($_POST["folder"])){
	
	
	
if(!empty($_FILES["selection"]["name"])){// Si un fichier est séléctionné
function getExtension($filename){
$parts = explode('.', $filename);
$ext = $parts[(count($parts)-1)];
  if ($ext==$filename) {
    return false;
  }else {
    return strtolower($ext);
  }
}
$nomFichier = $_FILES['selection']['name'];
$nomTemporaire = $_FILES['selection']['tmp_name'];
$typeFichier = $_FILES['selection']['type'];
$poidsFichier = $_FILES['selection']['size'];
$extension = getExtension($nomFichier, ".");
$NOM = $_POST["nom"];
$mdp = $_POST["mot_de_passe"];
$classe = $_POST["classe"];
$folder = urldecode($_POST["folder"]);

$mot_de_passe = 0;
$requete = mysql_query('SELECT * FROM '.$classe.' WHERE mdp = \''. $mdp .'\' AND name=\''.$NOM.'\'');
while ($requete2 = mysql_fetch_array($requete) )
		{
		$mot_de_passe = 1;
		}
		

if (!preg_match('#[\x00-\x1F\x7F-\x9F/\\\\]#', $nomFichier)){
	if($poidsFichier <> 0){// Si le fichier est valide
		if($NOM != '' ){// Si un nom a été séléctionné
		if($mot_de_passe == 1){// Si le mot de passe est correct
		if($folder != ''){// Si un devoir a été séléctionné
		
			if( !move_uploaded_file($nomTemporaire, $content_dir . $classe.'/'.$folder.'/'. $NOM .'_'. $classe .'.'. $extension) )
				{	// Si le fichier a bien été chargé sur le ftp
					exit("Il est impossible de copier le fichier dans $content_dir/$folder");
				}
			$ok = '<br /><br /><div style="text-align : center;"><span class="important">Très bien !<br /><br />
			Votre fichier a bien été enregistré.</span><br /><br />';
			
	$requete=mysql_query('select email from '.$classe.' WHERE name=\''.$NOM.'\'');
		while ($requete2 = mysql_fetch_array($requete) )
		{
		$mail = $requete2['email'];
		}
		

		// Envoi du mail quand le corrigé est en ligne
		$requete=mysql_query('select * from '.$classe.' WHERE name=\''.$NOM.'\'');
		while ($requete2 = mysql_fetch_array($requete) )
		{
		$pren = $requete2['prenom'];
		$_POST["classe"] = $classe;
		$_POST["nom"] = $requete2['name'];
		$_POST["mot_de_passe"] = $requete2['mdp'];
		}
			$headers2 ='From: "'.$mail.'"<'.$mail.'>'."\n"; 
			$headers2 .='Reply-To: '.$mail.''."\n"; 
			$headers2 .='Content-Type: text/html; charset="iso-8859-1"'."\n"; 
			$headers2 .='Content-Transfer-Encoding: 8bit'; 
			$objet_m2 = 'Devoir envoyé';
			$message2 = 'Bonjour,<br /><br />
Le travail sur <i>"'.$folder.'"</i> de '.$pren.' a été envoyé et est maintenant <a href="http://'.$adresse_site.'/'.$script.'index?page=lecture">disponible sur le site</a>!<br />';
		if(mail($mail_admin, $objet_m2, $message2, $headers2)){
		}
		if($mail != ''){
			$headers ='From: "'.$mail_admin.'"<'.$mail_admin.'>'."\n"; 
			$headers .='Reply-To: '.$mail_admin.''."\n"; 
			$headers .='Content-Type: text/html; charset="iso-8859-1"'."\n"; 
			$headers .='Content-Transfer-Encoding: 8bit'; 
			$objet_m = 'Devoir envoyé';
			$message = 'Bonjour '.$pren.',<br /><br />
Votre travail sur <i>"'.$folder.'"</i> m\'a bien été envoyé.<br />

<br />
À bientôt,<br />
Fr. Stévenot';
		
if (mail($mail, $objet_m, $message, $headers)){ 
			$ok .= 'Un mail de confirmation d\'envoi vous a été envoyé';
			} else { 
			$ok .= 'Le mail de confirmation d\'envoi n\'a pas pu être envoyé !';
			}
		}else{
		$ok .= 'Aucun mail de confirmation d\'envoi n\'a été envoyé car vous ne possèdez pas d\'adresse email !';
		}

$ok .= '<br /><br />Vous pouvez <a href="index.php?page=devoirs" title="Envoyer un nouveau fichier">envoyer un nouveau fichier</a> ou <a href="http://claudelhg.free.fr" title="Accueil du site">revenir à l\'accueil du site</a>.</div><br /><br />';		
		}else{
		$work  = '<span class="important">Vous n\'avez pas indiqué le travail que vous souhaitez rendre...</span>';
		}
		}else{
		$mdpf  = '<span class="important">Vous n\'avez pas entré le bon mot de passe...</span>';
		}
		}else{
		$name= '<span class="important">Vous n\'avez pas indiqué votre nom...</span>';
		}
	}else{
		$fichier = '<span class="important">Format non valide...</span>';
	}
}else{
	$fichier = '<span class="important">Format non valide...</span>';
}

}

if (isset($ok)){echo $ok;}
// Formulaire
?>
<form name="devoir" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
Repérez votre nom dans cette liste<br /><br />
<select name="nom">
<option value=""></option>

<?
$requete=mysql_query('select * from '.$classe.' ORDER by nom');
while ($requete2 = mysql_fetch_array($requete) )
		{
		echo '<option value="'.$requete2['name'].'">'.$requete2['nom'].' '.$requete2['prenom'].'</option>';
		}
?>

</select>
<br />
<? if (isset($name)){echo $name;} ?><br /><br />


Insérez votre mot de passe<br /><br />
<input type="password" value="motdepasse" name="mot_de_passe" class="form" onfocus="if (this.value=='motdepasse') this.value=''" onblur="if (this.value=='') this.value='motdepasse'" />
<br />
<? if (isset($mdpf)){echo $mdpf;} ?><br /><br /><br />





Repérez le nom du travail à rendre<br /><br />
<select name="folder">
<option value=""></option>

<?
$d = dir($content_dir.$classe."/"); 
while($entry = $d->read()) { 
    if($entry=="." || $entry==".."){
    }else{
print "<option value=\"$entry\">$entry</option>";
    }
} 
$d->close(); 
?>
</select><br />
<? if (isset($work)){echo $work;} ?><br /><br /><br />


Allez maintenant chercher votre fichier sur votre ordinateur<br /><br />

<input type="file" name="selection" /><br />
<? if (isset($fichier)){echo $fichier;} ?>
</div><br /><br /><br />

<div style="text-align : center;">
À présent, vous pouvez valider pour achever l'enregistrement<br />
Ceci peut prendre un peu de temps, surtout si le fichier à envoyer est important ou que votre connexion internet est basse.<br /><br />

<input type="hidden" name="classe" type="text" value="<? echo $classe; ?>"> 

<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>
<br />
<? 
	
	
	
	
	
	
	}else{
	$classe2 = '<span class="important">Indiquez votre classe !</span>';
	echo'<form name="classe" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
<b>Votre classe :</b><br /><br />
<select name="classe">
<option value="">classe</option>';
for($i=0;$i<sizeof($classes);$i++) // tant que $i est inferieur au nombre d'éléments du tableau... 
    { 
echo '<option value="'.$classes[$i].'">'.$classes2[$classes[$i]].'</option>';
    } 
echo'</select><br>';
if (isset($classe2)){echo $classe2;}
echo'<br><br>
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>';
	}
}else{
	echo'<form name="classe" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
<b>Votre classe :</b><br /><br />
<select name="classe">
<option value="">classe</option>';
for($i=0;$i<sizeof($classes);$i++) // tant que $i est inferieur au nombre d'éléments du tableau... 
    { 
echo '<option value="'.$classes[$i].'">'.$classes2[$classes[$i]].'</option>';
    } 
echo'</select><br><br><br>
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>';
}
?>	